Subject: Re: IPP> Re: PMP> IETF concerns regarding the Printer MIB draft?

From: Keith Moore <[email-masked]>
Date: Tue, 02 Sep 1997 16:48:52 -0400

A followup to this note from Harald:

Harald explained the issues well.  However, I do want to personally
apologize for my poor choices of words at the Munich meeting re: the
Printer MIB and the Job MIB.

Keith

> Oops control, as usual....
> 
> The Applications Area Directors do not think that the Printer MIB is
> broken.
> 
> The Apps ADs think that one particular decision was mistaken:
> To establish a register of print languages (the prtInterpreterLangFamily)
> and not to register those as MIME types.
> 
> We also have doubts about the use of integers rather than names for
> character sets (the CodedCharSet textual convention), but since this
> is just 2 pointers into the same registry, and the IANA appears to be
> maintaining this double registry, it is less harmful overall.
> 
> We think the Right Thing is that the IPP group or the PrinterMIB group
> should register all the currently unregistered printer formats as MIME
> types, and that the IPP group should use the MIME types to indicate the
> content of their MIME objects.
>
> With regard to the Job MIB, it seems clear that:
> 
> - The IETF has no consensus position that it is a Good Thing to deploy
>   MIBs as a means of users' access to information (as opposed to an
>   administrator's access). In particular, the access control models
>   currently being defined in the SNMPv3 group are not based on the idea
>   that all users need MIB access; we do not want to bring this idea into
>   that process, for fear of delaying it further.
> 
> - The IETF has consensus that there is no need for all MIBs to be
>   Internet standards. Informational MIBs, or MIBs developed by other
>   organizations, are Good Things; the IETF can sometimes assist in their
>   reviews, without necessarily taking responsibility.
> 
> - Given the two positions above, we think that it's better for the
>   Job MIB to be submitted to the IETF as an external document and given
>   Informational status as a protocol under PWG control.
> 
> There was some unfortunate fumbling of balls in the handover of this
> group from the NM area to the Apps area, where the status of this request
> for revised charter seemed to have been lost; I had hoped that we had
> agreement on the positions above, but it seems that we didn't.
> 
> (this discussion should be moved to the Printer MIB list only, but since
> it seems I've fallen off it, please keep me in the CC line....)
> 
>                       Harald Tveit Alvestrand
>                              Apps AD
> 
> 
> 
> 
>